set -g default-terminal "screen-256color"

# set -g utf8
# setw -g utf8 on
# set -g status-utf8 on

set -g mouse on
# set -g mode-mouse on
#setw -g mouse-select-window on
#setw -g mouse-select-pane on

set -s escape-time 0
set -g display-time 1500

#set-option -g default-shell /bin/zsh

#######################################
# key bindings
#######################################
set -g prefix C-a
bind C-a send-prefix
unbind C-b

setw -g mode-keys vi

unbind S
bind S command-prompt "switch -t %1"

bind C-r source-file ~/.tmux.conf

bind-key -n M-K switch-client -p
bind-key -n M-J switch-client -n

bind-key -n M-L next-window
bind-key -n M-H previous-window

#######################################
# status line
#######################################
# /* source "/usr/lib/python3.5/site-packages/powerline/bindings/tmux/powerline.conf" */
set -g status-justify centre

set -g status-left "#[bg=#808080,fg=#ffffff,bold] #S #[default]#[bg=#BCBCBC] #{-30:pane_title} "
set -g status-left-length 40

set -g status-right "#[bg=#BCBCBC] %H:%M #[bg=#808080,fg=#ffffff] %d.%m.%y "

# setw -g window-status-format " #W#F "
# setw -g window-status-current-format " #W#F "
setw -g window-status-format " #W "
setw -g window-status-current-format " #W "
setw -g window-status-separator ""

#######################################
# colors, taken from vim-lucius
#######################################
set -g status-style "bg=#DADADA,fg=#000000"

setw -g window-status-style "bg=#BCBCBC,fg=#000000"
setw -g window-status-current-style "bg=#808080,fg=#ffffff"

setw -g window-status-activity-style "bg=#AFD7AF,fg=#000000"
setw -g window-status-bell-style "bg=#AFD7AF,fg=#000000"
#setw -g window-status-content-style "bg=#AFD7AF,fg=#000000"

set -g pane-active-border-style "bg=#eeeeee,fg=#006699"
set -g pane-border-style "bg=#eeeeee,fg=#999999"
